Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class DomainRangeObjectPairEntry

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.BasicQueryObject
          edu.stanford.smi.protegex.widget.scatterbox.DomainRangeObjectPairEntry

All Implemented Interfaces:
  Constants, DomainRangeObjectPairConstants, KBQueryUtils

    public class DomainRangeObjectPairEntry

extends BasicQueryObject
implements DomainRangeObjectPairConstants

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.DomainRangeObjectPairConstants
`DOMAIN_VALUE_SLOT, ENTRY_CLASS, RANGE_VALUE_SLOT`

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`DomainRangeObjectPairEntry()`

Method Summary
`Instance` | `getDomainObject(Instance entry)`
`Cls` | `getDomainTypeFromEntryCls(Cls entryCls)`
`Instance` | `getOrCreateDomainObject(Instance entry)`
`Instance` | `getOrCreateRangeObject(Instance entry)`
`Instance` | `getRangeObject(Instance entry)`
`Cls` | `getRangeTypeFromEntryCls(Cls entryCls)`
`void` | `setDomainObject(Instance entry, Instance domainObject)`
`void` | `setRangeObject(Instance entry, Instance rangeObject)`

Methods inherited from class edu.stanford.smi.protegex.widget.scatterbox.BasicQueryObject
`getDomainType, getDomainValueSlots, getEntriesSlot, getEntryCls, getRangeType, getRangeValueSlot, getRangeValueSlot, getRangeValueSlots, getRangeValueSlots`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainRangeObjectPairEntry

    public DomainRangeObjectPairEntry()

Method Detail

### getDomainObject

    public Instance getDomainObject(Instance entry)

  Specified by:
    `getDomainObject` in interface `KBQueryUtils`
  Specified by:
    `getDomainObject` in class `BasicQueryObject`

### getDomainTypeFromEntryCls

    public Cls getDomainTypeFromEntryCls(Cls entryCls)

  Specified by:
    `getDomainTypeFromEntryCls` in interface `KBQueryUtils`
  Specified by:
    `getDomainTypeFromEntryCls` in class `BasicQueryObject`

### getOrCreateDomainObject

    public Instance getOrCreateDomainObject(Instance entry)

  Specified by:
    `getOrCreateDomainObject` in interface `KBQueryUtils`
  Specified by:
    `getOrCreateDomainObject` in class `BasicQueryObject`

### getOrCreateRangeObject

    public Instance getOrCreateRangeObject(Instance entry)

  Specified by:
    `getOrCreateRangeObject` in interface `KBQueryUtils`
  Specified by:
    `getOrCreateRangeObject` in class `BasicQueryObject`

### getRangeObject

    public Instance getRangeObject(Instance entry)

  Specified by:
    `getRangeObject` in interface `KBQueryUtils`
  Specified by:
    `getRangeObject` in class `BasicQueryObject`

### getRangeTypeFromEntryCls

    public Cls getRangeTypeFromEntryCls(Cls entryCls)

  Specified by:
    `getRangeTypeFromEntryCls` in interface `KBQueryUtils`
  Specified by:
    `getRangeTypeFromEntryCls` in class `BasicQueryObject`

### setDomainObject

    public void setDomainObject(Instance entry,
                                Instance domainObject)

  Specified by:
    `setDomainObject` in interface `KBQueryUtils`
  Specified by:
    `setDomainObject` in class `BasicQueryObject`

### setRangeObject

    public void setRangeObject(Instance entry,
                               Instance rangeObject)

  Specified by:
    `setRangeObject` in interface `KBQueryUtils`
  Specified by:
    `setRangeObject` in class `BasicQueryObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request